Request parameters
All parameters are required. Make sure that they are specified correctly.The search in Oracle Database is case-sensitive. Take this into account if you use Oracle Database.
| Parameter | Type | Description |
|---|---|---|
filter | string | Filter conditions for the log. Combine conditions with the AND and OR operators only, set in the GeneralOperator parameter. For more information, see Build the filter parameter. |
columnsOrder | string | Comma-separated list of columns to include in the report: ID, Date, EventType, Comment, UserFullName, Workstation, BatchId, BatchName, BatchTypeName, StageFromName, StageToName, ProjectName, RoleName, TenantName. |
sortColumnindex | int | Index of the column used to sort the records in the log. |
sortOrder | bool | Sort order: true sorts in descending order, false sorts in ascending order. |
tenantId | int | Tenants to include in the log: -1 for all available tenants, 0 for the default tenant, or a specific tenant ID (1 or greater). |
Build the filter parameter
Thefilter parameter takes a JSON object. For example:
PropertyKey and PropertyOperator parameters, create a filter in the Administration and Monitoring Console:
Open the browser developer tools
In the browser menu, click More tools → Developer tools, and go to the Network tab.
Create a filter in the console
Launch the Administration and Monitoring Console, go to System Monitor → Event log, and click the
button.
TenantNameExt parameter instead of TenantName:
Keep
TenantName for the default tenant in the columnsOrder parameter.Example script
The following PowerShell script demonstrates how to use this API to download the event log.Replace the parameters in this script with your server address and your own credentials.
